<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:24:57 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>Class Hierarchy (org.eclipse.papyrus.designer.components.modellibs.core 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Class Hierarchy (org.eclipse.papyrus.designer.components.modellibs.core 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For All Packages</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="org/eclipse/papyrus/designer/components/modellibs/core/package-tree.html">org.eclipse.papyrus.designer.components.modellibs.core</a>, </li>
<li><a href="org/eclipse/papyrus/designer/components/modellibs/core/embeddingrules/package-tree.html">org.eclipse.papyrus.designer.components.modellibs.core.embeddingrules</a>, </li>
<li><a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/package-tree.html">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules</a>, </li>
<li><a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/package-tree.html">org.eclipse.papyrus.designer.components.modellibs.core.transformations</a>, </li>
<li><a href="org/eclipse/papyrus/designer/components/modellibs/core/utils/package-tree.html">org.eclipse.papyrus.designer.components.modellibs.core.utils</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/AbstractCompToOO.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">AbstractCompToOO</span></a> (implements org.eclipse.papyrus.designer.components.transformation.extensions.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.transformation/apidocs/org/eclipse/papyrus/designer/components/transformation/extensions/IOOTrafo.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.transformation.extensions">IOOTrafo</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIcallback.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">AMIcallback</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/AMIpoll.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">AMIpoll</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.utils.<a href="org/eclipse/papyrus/designer/components/modellibs/core/utils/CompDepUtils.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.utils"><span class="typeNameLink">CompDepUtils</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorAllocation.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">ConnectorAllocation</span></a> (implements org.eclipse.papyrus.designer.transformation.core.m2minterfaces.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoElem</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/ConnectorReification.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">ConnectorReification</span></a> (implements org.eclipse.papyrus.designer.transformation.core.m2minterfaces.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.FCM.util.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/util/ConnectorTypeUtil.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.util"><span class="typeNameLink">ConnectorTypeUtil</span></a>
<ul>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.embeddingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/embeddingrules/AccordCall.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.embeddingrules"><span class="typeNameLink">AccordCall</span></a></li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/Constants.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">Constants</span></a></li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">ExecuteOOTrafo</span></a> (implements org.eclipse.papyrus.designer.transformation.core.m2minterfaces.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoCDP.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoCDP</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.AddOOElements.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">ExecuteOOTrafo.AddOOElements</span></a> (implements org.eclipse.papyrus.designer.transformation.core.m2minterfaces.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoElem</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/ExecuteOOTrafo.RemoveComponentElements.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">ExecuteOOTrafo.RemoveComponentElements</span></a> (implements org.eclipse.papyrus.designer.transformation.core.m2minterfaces.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoElem</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">ExtendedPort</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ExtendedPort2.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">ExtendedPort2</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.transformations.<a href="org/eclipse/papyrus/designer/components/modellibs/core/transformations/FlattenInteractionComponents.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.transformations"><span class="typeNameLink">FlattenInteractionComponents</span></a> (implements org.eclipse.papyrus.designer.transformation.core.m2minterfaces.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.transformation/org.eclipse.papyrus.designer.transformation.core/apidocs/org/eclipse/papyrus/designer/transformation/core/m2minterfaces/IM2MTrafoElem.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.transformation.core.m2minterfaces">IM2MTrafoElem</a>)</li>
<li type="circle">org.eclipse.core.runtime.Plugin (implements org.osgi.framework.BundleActivator)
<ul>
<li type="circle">org.eclipse.ui.plugin.AbstractUIPlugin
<ul>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.<a href="org/eclipse/papyrus/designer/components/modellibs/core/Activator.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core"><span class="typeNameLink">Activator</span></a></li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/ProvideInterface.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">ProvideInterface</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PullConsumer.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">PullConsumer</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushConsumer.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">PushConsumer</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProdPullCons.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">PushProdPullCons</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/PushProducer.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">PushProducer</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/TemplatePort.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">TemplatePort</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/ITemplateMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">ITemplateMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/UseConjIntf.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">UseConjIntf</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.components.modellibs.core.mappingrules.<a href="org/eclipse/papyrus/designer/components/modellibs/core/mappingrules/UseInterface.html" title="class in org.eclipse.papyrus.designer.components.modellibs.core.mappingrules"><span class="typeNameLink">UseInterface</span></a> (implements org.eclipse.papyrus.designer.components.FCM.profile.<a href="https://eclipse.org/papyrus/components/designer/org.eclipse.papyrus.designer.components/org.eclipse.papyrus.designer.components.fcm.profile/apidocs/org/eclipse/papyrus/designer/components/FCM/profile/IMappingRule.html?is-external=true" title="class or interface in org.eclipse.papyrus.designer.components.FCM.profile">IMappingRule</a>)</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="overview-summary.html">Overview</a></li>
<li>Package</li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li>Prev</li>
<li>Next</li>
</ul>
<ul class="navList">
<li><a href="index.html?overview-tree.html" target="_top">Frames</a></li>
<li><a href="overview-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
